### Enumeration

# GtkSource FileSaverFlags

#### Declaration

    flags GtkSource.FileSaverFlags

#### Description [src]

Flags to define the behavior of a `GtkSourceFileSaverFlags`.

#### Members

`GTK_SOURCE_FILE_SAVER_FLAGS_NONE`

  No flags.

  - Value: `0`
  - Available since: 5
`GTK_SOURCE_FILE_SAVER_FLAGS_IGNORE_INVALID_CHARS`

  Ignore invalid characters.

  - Value: `1`
  - Available since: 5
`GTK_SOURCE_FILE_SAVER_FLAGS_IGNORE_MODIFICATION_TIME`

  Save file despite external modifications.

  - Value: `2`
  - Available since: 5
`GTK_SOURCE_FILE_SAVER_FLAGS_CREATE_BACKUP`

  Create a backup before saving the file.

  - Value: `4`
  - Available since: 5